<?php

/**
 * @file
 * Theme implementation to display sales popup modal.
 *
 * Available variables:
 * - $node: Sales popup node.
 */

$title = $node->title;
$image = image_style_url('commerce_sales_popup_modal', $node->sales_popup_modal_image[LANGUAGE_NONE][0]['uri']);
$text = $node->body[LANGUAGE_NONE][0]['value'];
$cta = $node->sales_popup_cta[LANGUAGE_NONE][0]['value'];
?>

<div class="sales-modal-container">
  <?php if(!empty($cta)): ?>
    <a href="<?php print $cta ?>">
  <?php endif; ?>

  <div id="sales-modal-image-banner">
    <img src="<?php print $image ?>">
  </div>

  <div id="sales-modal-text">
     <?php print $text; ?>
  </div>

  <div id="commerce-sales-countdown"></div>

  <div id="sales-modal-cta">
    <?php print $title; ?>
  </div>

  <?php if(!empty($cta)): ?>
      </a>
  <?php endif; ?>
</div>
