<?php

/**
 * @file
 * Theme implementation to display sales popup header.
 *
 * Available variables:
 * - $node: Sales popup node.
 */

$title = $node->title;
$image = image_style_url('commerce_sales_popup_header', $node->sales_popup_header_image[LANGUAGE_NONE][0]['uri']);
$text = $node->body[LANGUAGE_NONE][0]['value'];
$cta = $node->sales_popup_cta[LANGUAGE_NONE][0]['value'];
$classes = "commerce-sale-header-entity commerce-sale-header-entity-" . $node->nid;
?>

<div class="<?php print $classes; ?>">
  <?php if(!empty($cta)): ?>
    <a href="<?php print $cta ?>">
  <?php endif; ?>

  <div id="sales-header-image-banner">
    <img src="<?php print $image ?>">
  </div>

  <div id="sales-header-text">
    <?php print $text; ?>
  </div>

  <div id="commerce-sales-countdown"></div>

  <?php if(!empty($cta)): ?>
    </a>
  <?php endif; ?>
</div>
